
Lookup Editor - Bug #1868

Lookup cannot load lookups with invalid chars

05/17/2017 05:41 PM - Luke Murphey

Status: Closed Start date: 05/17/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.6.2   

Description

https://github.com/LukeMurphey/lookup-editor/issues/11

Associated revisions

Revision 301 - 05/17/2017 08:04 PM - lukemurphey

Allowing loading of lookups with invalid characters

Reference #1868

History

#1 - 05/17/2017 05:48 PM - Luke Murphey

- File wierd_chars.csv added

#2 - 05/17/2017 06:39 PM - Luke Murphey

Error: new-line character seen in unquoted field - do you need to open the file in universal-newline mode?

UnicodeDecodeError: 'utf8' codec can't decode byte 0xdd in position 0: invalid continuation byte

#3 - 05/17/2017 06:40 PM - Luke Murphey

- File non_utf_chars.csv added

#4 - 05/17/2017 07:03 PM - Luke Murphey

get_lookup() in the controller opens the file.

#5 - 05/17/2017 07:09 PM - Luke Murphey

http://stackoverflow.com/questions/904041/reading-a-utf8-csv-file-with-python

#6 - 05/17/2017 07:16 PM - Luke Murphey

Trying 0.14.1 of python-unicodecsv

#7 - 05/20/2017 04:10 AM - Luke Murphey

- Target version changed from 2.7.0 to 2.6.2

#8 - 05/20/2017 04:43 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Files
https://github.com/LukeMurphey/lookup-editor/issues/11
http://stackoverflow.com/questions/904041/reading-a-utf8-csv-file-with-python


wierd_chars.csv 210 Bytes 05/17/2017 Luke Murphey

non_utf_chars.csv 156 Bytes 05/17/2017 Luke Murphey
